PDA

View Full Version : Boxee Update URL/IP address?


KennethC
November 12th, 2010, 09:51 PM
Does anyone know what this is?

I'd like to block it on my firewall so I can stay on .9. The BB periodically will force me to update to 1.0, which I don't want.

(I am going to wait out the storm before returning it, I've decided -- .9 on the Box is still pretty nice)

KennethC
November 13th, 2010, 04:09 AM
Shameless bump. Thanks!

KennethC
November 13th, 2010, 10:11 AM
OK, I got off my keister and figured this out.

Here's the syslog line that's relevant:

11-13-2010 10:01:22 Local0.Debug 10.30.254.102 Nov 13 10:06:38 boxee CBoxeeVersionUpdateManager::CheckForUpdate - Not handling server response to [chkupdUrl=http://app.boxee.tv/chkupd/dlink.dsm380/0.9.21.14131/9/A1/US/QL011A9000294] because it is empty (update)

app.boxee.tv resolves to 67.225.149.139.

Blocking that seems to have no ill-effects on anything yet.

If it does, and if you have the means, you can block the content of HTTP header (host field) to reflect "app.boxee.tv/chkupd/dlink.dsm380". That should prevent further forced updates.

funkyg73
November 13th, 2010, 10:36 AM
Any idea how to block this with the Tomato Firmware? You can setup access restrictions, but there doesn't appear to be an option for blocking a specific IP. As a workaround, I attempted to set up port forwarding to a non-existent IP on my network, but that didn't do the trick.

jwbrint
November 13th, 2010, 11:19 AM
I am curious as to how this "fix" works. Keep us posted.

KennethC
November 13th, 2010, 11:41 AM
Unfortunately, blocking the IP address kills the use (and addition) of Apps.

So, it looks like I have to do some HTTP filtering on keywords in the URL. Like I wrote above, "app.boxee.tv/chkupd/dlink.dsm380" should be a good filter for this.

darcilicious
November 13th, 2010, 11:49 AM
One effect of this is that some Apps will not be available if you're not running the latest version of the software. There is a minimal software version field that can be set on any App. Eventually, more and more Apps will require v1.0 or newer.

KennethC
November 13th, 2010, 12:03 PM
One effect of this is that some Apps will not be available if you're not running the latest version of the software. There is a minimal software version field that can be set on any App. Eventually, more and more Apps will require v1.0 or newer.

Yeah, but hopefully by then 1.0 will be ready for showtime. Honestly I'd rather forsake some new Apps for the old UI.

BTW, I managed to get this working with dd-wrt by putting "app.boxee.tv/chkupd/dlink.dsm380" under the "Website Blocking by URL Address" category. All other requests to app.boxee.tv go through except for the Boxee upgrade.